
/* Template specific style/classes should be in their repsective sectionContainertemplates */
/* Either as an inline style or CSS class if its used more than once in a template */

/*************** Page Defaults ***************/
body {
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    min-width: 600px;
    background-color: white;
    text-align: center;
    font-family: sans-serif;
    margin: 0px;
    font-size: 0.8em;
}
.pageTitle {
    font-family: sans-serif;
    text-align: center;
    font-size: 25pt;
    font-weight: bold;
    text-transform: uppercase;
    color: #3A679D;
}
.sectionTitle {
    text-align: left;
    font-size: 18pt;
    font-weight: bold;
}
.sectionSubtitle {
    text-align: left;
    font-size: 14pt;
    font-weight: bold;
}
label {
    font-size: smaller;
    font-weight: bolder;
}
.approvedMessage {
    font-weight: bolder;
    color: darkgreen;
}

.warningMessage {
    font-weight: bolder;
    color: darkorange;
}

.errorMessage {
    font-weight: bolder;
    color: darkred;
}
.infoMessage {
    font-weight: bolder;
    color: blue;
}
.required {
    color: darkred;
}

textarea, input {
    font-family: sans-serif;
    font-size: 10pt;
}

.numericTextInput {
    width: 30px;
}

select {
    padding:1px 2px;
    height:20px;
}

a:link {
    color: black;
    font-weight: bold;
}

a:visited {
    color: black;
    font-weight: bold;
}

a:hover {
    color: cornflowerblue;
    font-weight: bold;
}

a:active {
    color: white;
    font-weight: bold;
}

/*************** header ***************/

.pageHeader {
    /*background-image: url("../images/pageHeadingBackground.jpg");*/
    font-size: 14px;
    color: black;
    font-weight: bold;
    vertical-align: middle;
}

.header-logoImageDiv {
    pointer-events: none;
    position: absolute;
    top: 5px;
    left: 0px;
    margin-left: auto;
    margin-right: auto;
    width:100%;
    min-width:600px;
    opacity: .1;
}

.header-logoText {
    pointer-events: none;
    position: absolute;
    top: 15px;
    left: 0px;
    margin-left: auto;
    margin-right: auto;
    width: 100%;
    min-width:600px;
    font-size: 26px;
    line-height: 25px;
    font-family: Georgia;
}


.header-table {
    /*border-collapse: collapse;*/
    margin: 5px 5px 5px 5px;
    font-family: sans-serif;
    min-width: 400px;
    width: 98%;
}

.header-table td {
    padding: 30px 30px;
    padding: 4px 8px 4px 8px;
    white-space: nowrap;
}

.pageHeader a:link {
    color: black;
    text-decoration: none;
}

.pageHeader a:visited {
    color: black;
    text-decoration: none;
}

.pageHeader a:hover {
    color: cornflowerblue;
    text-decoration: none;
}

.pageHeader a:active {
    color: black;
    text-decoration: none;
}

/*************** footer ***************/
.pageFooter {
    color: black;
    font-size: x-small;

    position: fixed;
    left: 0;
    bottom: 0;
    width: 100%;
    background-color: white;
    text-align: center;
}

.pageFooter a:link {
    color: black;
    font-weight: bold;
}

.pageFooter a:visited {
    color: black;
    font-weight: bold;
}

.pageFooter a:hover {
    color: white;
    font-weight: bold;
}

.pageFooter a:active {
    color: white;
    font-weight: bold;
}

/*************** page overlay ***************/
.pageCover {
    position: fixed;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    text-align: center;
}

.pageOverlay {
    position: absolute;
    top: 0;
    width: 100%;
}

.overlay-wrap {
    width: 88vw;
    height: 88vh;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background-color: var(--tertiary-color-4);
    border: 1px double var(--tertiary-color-30);
    border-radius: 5px;
    margin: 0 auto;
    margin-top: 10%;
}

/*************** Popup Box ***************/
.popup {
    display: none;
    position: absolute;
    width: 380px;
    height: 250px;
    padding: 10px;
    left: 50%;
    margin-left: -150px;
    top: 10%;
    margin-top: 50px;
    background: #FFF;
    z-index: 20;
    -webkit-box-shadow: 0px 0px 0px 9999px rgba(0, 0, 0, 0.5);
    box-shadow: 0px 0px 0px 9999px rgba(0, 0, 0, 0.5);
}

.popupTitle {
    font-weight: bold;
    font-size: larger;
    text-align:center;
    margin-top: 12px;
}

.popupText {
    font-size: larger;
    margin-top: 12px;
    margin-bottom: auto;
    text-align: center;
}

.popupOptions {
    position: absolute;
    bottom: 0;
    width:100%;
    margin-bottom: 12px;
    text-align: center;
}

/*************** listing table ***************/
.styled-table {
    margin: auto;
    margin-top: 5px;
    margin-bottom: 5px;
    max-width: 98%;
    width: 98%;
    font-family: sans-serif;
    min-width: 200px;
    /* box-shadow: 0 0 20px rgba(0, 0, 0, 0.15); */
    border-collapse: separate;
    border: solid black 2px;
    border-radius: 6px;
} 
.styled-table thead tr:first-child {
    font-size: x-large;
}

.styled-table thead tr {
    background-color: #306182;
    color: #ffffff;
    text-align: center;
    font-size: larger;
    font-weight: bolder;
}

.styled-table th {
    padding: 5px 10px 5px 10px;
    background-color: #306182;
    color: #ffffff;
    text-align: center;
    white-space: nowrap;
}

.styled-table tbody tr {
    border-bottom: 1px solid #dddddd;
}

.styled-table tbody tr:nth-of-type(odd) {
    background-color: #fafafa;
}

.styled-table tbody tr:nth-of-type(even) {
    background-color: #dddddd;
}

.styled-table tbody tr:last-of-type {
    border-bottom: 2px solid #253254;
}

.styled-table td {
    padding: 5px 10px 5px 10px;
    text-align: left;
    white-space: normal
}

.styled-table tbody tr.active-row {
    font-weight: bold;
    color: #009879;
}

.listing-table tbody td:hover {
    background-color: #ADC7DA;
    /*background-color: #5782c6;*/
}

.listing-table-control {
    width: 18px;
    height: 18px;
    cursor: pointer;
}

.listing-block:hover {
    background-color: #ADC7DA;
    /*background-color: #5782c6;*/
    white-space: normal;
    /*display: block;*/
    cursor: pointer;
}

/**************** print table ********************/
.printTable {
    background-color: transparent;
    min-width: 175px;
    padding: 5px;
    margin: 7px;
    border: 1px solid black;
    page-break-inside: avoid;
    page-break-after: auto;
    font-size: 8px;
}

.printTable tr {
    background-color: transparent;
    box-shadow: 0px 0px 0px 1px rgb(0, 0, 0);
}

.printTable th {
    font-weight: bold;
    color: #000000;
    padding: 5px;
    margin: 5px;
    background-color: transparent;
}

.printTable td {
    padding: 5px;
    margin: 5px;
    background-color: transparent;
}

@media print {
    .no-print, .no-print * {
        display: none !important;
    }

    .pagebreak {
        page-break-before: always;
    }
    /* page-break-after works, as well */
}

/*************** themes ***************/
.accounts {
    background-color: #A9B785 !important;
    font-weight: bold;
    font-family: sans-serif;
    color: white;
    padding: 5px 5px 5px 5px;
    margin: 2px 5px 2px 0px;
}

.styled-account-table th {
    background-color: #A9B785;
}

.courses {
    background-color: #914334 !important;
    font-weight: bold;
    font-family: sans-serif;
    color: white;
    padding: 5px 5px 5px 5px;
    margin: 2px 5px 2px 0px;
}

.styled-course-table th {
    background-color: #914334;
}

.sections {
    background-color: #B1684A !important;
    font-weight: bold;
    font-family: sans-serif;
    color: white;
    padding: 5px 5px 5px 5px;
    margin: 2px 5px 2px 0px;
}

.styled-section-table th {
    background-color: #B1684A;
}

.assignments {
    background-color: #d18d60 !important;
    font-weight: bold;
    font-family: sans-serif;
    color: white;
    padding: 5px 5px 5px 5px;
    margin: 2px 5px 2px 0px;
}

.styled-assignment-table th {
    background-color: #d18d60;
}


.assignments_old {
    background-color: #548685 !important;
    font-weight: bold;
    font-family: sans-serif;
    color: white;
    padding: 5px 5px 5px 5px;
    margin: 2px 5px 2px 0px;
}

.styled-assignment_old-table th {
    background-color: #548685;
}


.labs {
    background-color: #548685 !important;
    font-weight: bold;
    font-family: sans-serif;
    color: white;
    padding: 5px 5px 5px 5px;
    margin: 2px 5px 2px 0px;
}

.styled-lab-table th {
    background-color: #548685;
}

.serieses {
    background-color: #306182 !important;
    font-weight: bold;
    font-family: sans-serif;
    color: white;
    padding: 5px 5px 5px 5px;
    margin: 2px 5px 2px 0px;
}

.styled-series-table th {
    background-color: #306182;
}

.tests {
    background-color: #6C8CCC !important;
    font-weight: bold;
    font-family: sans-serif;
    color: white;
    padding: 5px 5px 5px 5px;
    margin: 2px 5px 2px 0px;
}

.styled-test-table th {
    background-color: #6C8CCC;
}

/*************** comments (template specific should put it in the template) ***************/
.comment-table {
font-family: sans-serif;
width: 100%;
box-shadow: 0 0 20px rgba(0, 0, 0, 0.15);
margin:4px 0px 4px 0px;
}
.comments {
    background-color: #CCCCCC !important;
    font-weight: bold;
    font-family: sans-serif;
    color: white;
    padding: 5px 5px 5px 5px;
    margin: 2px 5px 2px 0px;
}
.comment-table-oddRow {
    background-color:white;
}
.comment-table-eventRow {
    background-color: lightgrey;
}

/*************** periodic table styles ***************/
.tableTitle {
    background-color: #6C8CCC !important;
}
.ratio {
    background-color: #6C8CCC !important;
}
.alkalimetals {
    background-color: #244D57 !important;
}
.metalloids {
    background-color: #523e1b !important;
}
.actinides {
    background-color: #613B28 !important;
}
.alkalineearths {
    background-color: #622E39 !important;
}
.reactivenonmetals {
    background-color: #2A4165 !important;
}
.transitionmetals {
    background-color: #433c65 !important;
}
.noblegasses {
    background-color: #623842 !important;
}
.posttransitionmetals {
    background-color: #2f4d47 !important;
}
.alkalineearths {
    background-color: #433C65 !important;
}
.lanthanides {
    background-color: #004A77 !important;
}

/*************** periodic table styles ***************/
.search-navigation-clickable {
    cursor: pointer;
    color: black;
    font-weight: bold;
    
}
.search-navigation-notClickable {
    color: none;
    color: #AAAAAA;
    font-weight: bold;
    font-size: larger;
}


/*************** site specific styles ***************/
.colorant {
    color: purple;
    font-weight: bold;
    
}


/*************** marquee (Not currently used) ***************/
.marquee {
    width: 100px;
    margin: 0 auto;
    white-space: nowrap;
    overflow: hidden;
    text-align: left;
}

.marquee span {
    display: inline-block;
    animation-name: marquee;
    animation-duration: 5s;
    animation-iteration-count: infinite;
    animation-timing-function: linear;
    animation-direction: reverse;
}

/* Make it move */
@keyframes marquee {
    0% {
        transform: translateX(50px)
    }

    10%, 30% {
        transform: translateX(calc(100px - 125%))
    }

    100% {
        transform: translateX(50px)
    }
}

/*************** images ***************/
/* called font, badge, icon, Large */
/* templates are called (thumbnail (uses icon), banner (uses icon and badges)) */
.imageFontContainer {
    width: 13px;
    height: 13px;
    border-radius: 75%;
    overflow: hidden;
    border: 1px solid black;
}
.imageBadgeContainer {
    width: 35px;
    height: 35px;
    border-radius: 10%;
    overflow: hidden;
    box-shadow: 3px 3px #DDDDDD;
    border: 1px solid black;
}

.imageIconContainer {
    width: 100px;
    height: 100px;
    border-radius: 10%;
    overflow: hidden;
    box-shadow: 3px 3px #DDDDDD;
    border: 1px solid black;
}

.imageLargeContainer {
    width: 200px;
    height: 200px;
    border-radius: 5%;
    overflow: hidden;
    box-shadow: 3px 3px #DDDDDD;
    margin: auto;
    border: 2px solid black;
}

.imageColorBadge {
    width: 25px;
    height: 25px;
    border-radius: 50%;
    overflow: hidden;
    margin: 2px;
    box-shadow: 1px 1px #555555;
    /*border: 2px solid black;*/
    float: left;
}

.profileImageIconContainer {
    width: 50px;
    height: 50px;
    border-radius: 50%;
    overflow: hidden;
    box-shadow: 3px 3px #DDDDDD;
    margin: auto;
    border: 1px solid white;
}

.profileImageLargeContainer {
    width: 150px;
    height: 150px;
    border-radius: 50%;
    overflow: hidden;
    box-shadow: 3px 3px #DDDDDD;
    margin: auto;
    border: 2px solid white;
}

.courseImageIconContainer {
    width: 200px;
    height: 110px;
    border-radius: 5%;
    overflow: hidden;
    box-shadow: 3px 3px #DDDDDD;
    margin: auto;
    border: 1px solid white;
}

.courseImageLargeContainer {
    width: 150px;
    height: 150px;
    border-radius: 5%;
    overflow: hidden;
    box-shadow: 3px 3px #DDDDDD;
    margin: auto;
    border: 2px solid white;
}

/*************** activities ***************/
.activityBubble {
    display: inline-block;
    position: relative;
    top: -3px;
    left: -6px;
    border-radius: 50%;
    height: 12px;
    background: #DE4738;
    border: 0px solid #000;
    width: fit-content;
}
.activityBubbleText {
    margin-top: 1px;
    margin-bottom: 1px;
    margin-left: 4px;
    margin-right: 4px;
    text-align: center;
    font: bold 10px Arial, sans-serif;
    color: #FFF;
}
    


